// DeleteFile
// Given a file or directory in the JFS filesystem, delete the file, its
// JFS directory entry and everything in it.
import java.io.*;

public class DeleteFile
{
	public static void main(String argv[])
	{
	if (argv.length !=  2)
		die("usage: java DeleteFile <JFS root> <directory>|<file>");
	FileSystem.init(argv[0]);
	JFSserver.loadcache();

	// Waste it
	try { FileSystem.delete(argv[1], 0); }
	catch(BadPathException e) {
		die("Error deleting "+argv[1]+" : "+e.getMessage());
		}
	}

	// die
	// Print a message and exit
	static void die(String msg)
	{
	System.err.println(msg);
	System.exit(1);
	}
}

